VIEWIMG_FILL_POLYGON(3)

FUNCTION
viewimg_fill_polygon - Draw a polygon into an array associated with a viewable image.

SYNOPSIS
#include <karma_viewimg.h>

flag viewimg_fill_polygon

(ViewableImage vimage, edit_coord *coords, unsigned int num_vertices, double value[2])

DESCRIPTION
This routine will draw a filled polygon into a 2 dimensional slice of data associated with a viewable image.

vimage
    The viewable image.

coords
    The array of world co-ordinates of vertices of the polygon.

num_vertices
    The number of vertices in the polygon.

value
    The complex value to fill the polygon with. This must be of type K_DCOMPLEX.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/